import type { Action } from "../types/Action";
import type { Gamestate } from "../types/Gamestate";

export async function doAction(action: Action): Promise<Gamestate> {
    let res = await fetch("/api/state", {
        method: "POST",
        body: JSON.stringify(action),
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json'
        },
    });

    return await res.json();
}