use serde::Serialize;

#[derive(Clone, Copy, Debug, Serialize)]
#[serde(tag = "type")]
pub enum GameState {
    Starting,
    Over,
    PlayerTurn {
        player_index: usize,
        hand_index: usize,
    },
}
