use serde::{Deserialize, Serialize};

#[derive(Clone, Copy, Debug, Serialize, Deserialize)]
#[serde(tag = "type")]
pub enum PlayMoves {
    Hit,
    Stand,
    DoubleDown,
    Split,
    Deal { players: usize },
}
